Update the kerberos5 build framework to work with heimdal 0.6.3.
[dragonfly.git] / kerberos5 / usr.bin / krb5-config / Makefile
1 # $FreeBSD: src/kerberos5/usr.bin/krb5-config/Makefile,v 1.14 2004/04/13 16:41:00 nectar Exp $
2 # $DragonFly: src/kerberos5/usr.bin/krb5-config/Makefile,v 1.3 2005/01/16 14:25:47 eirikn Exp $
3
4 SCRIPTS=krb5-config
5 MAN=    krb5-config.1
6
7 CLEANFILES= krb5-config
8
9 krb5-config: krb5-config.in
10         sed -e "s,@PACKAGE\@,DragonFly heimdal,g" \
11             -e "s,@VERSION\@,0.6.1,g" \
12             -e "s,@prefix\@,/usr,g" \
13             -e "s,@exec_prefix\@,/usr,g" \
14             -e "s,@libdir\@,${LIBDIR},g" \
15             -e "s,@includedir\@,${INCLUDEDIR},g" \
16             -e "s,@LIB_crypt\@,-lcrypt,g" \
17             -e "s,@LIB_dbopen\@,,g" \
18             -e "s,@LIB_des_appl\@,-lcrypto,g" \
19             -e "s,@LIBS\@,-lcom_err,g" \
20             -e "s,@INCLUDE_des@,,g" \
21             ${.ALLSRC} > ${.TARGET}
22
23 .include <bsd.prog.mk>
24
25 .PATH: ${KRB5DIR}/tools